
QGIS Application - Bug report #4521

Map Tips does not work with on the fly CRS transformation

2011-11-13 12:24 AM - alobo -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14439

Description

Map tips do not show up if a given layer has a different CRS than the project with 

on the fly CRS transformation activated.

Agus

Associated revisions

Revision 45474ac7 - 2012-05-25 07:24 PM - Jürgen Fischer

fix #4521

History

#1 - 2011-11-13 02:12 AM - Giovanni Manghi

In my qgis-master installation maptips are broken regardless the CRS of the layer, the CRS of the project or if OTFR is enabled.

#2 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#4 - 2011-12-23 09:46 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Priority changed from 6 to Normal

- Affected QGIS version set to master

#5 - 2012-03-15 01:38 PM - Thaddeus -

This is still not working on my QGIS version 1.7.4 Wroclaw: only works if on-the-fly CRS is off or set the same as data source ?

#6 - 2012-03-16 01:10 PM - Thaddeus -

The Hotlink plug-in suffers the same fate: ¿ would this be related or a different ticket ?

#7 - 2012-03-19 12:35 PM - Thaddeus -
MapTips also displays the message "Maptips require an active layer" after user has selected a layer: the warning message should be reset (disappear) the

instant user selects a layer. Tested on Win2k and QGIS1.7.4.

#8 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#9 - 2012-05-15 11:43 PM - Victor Axbom

- File maptips.patch added

Submitting a patch for this issue. But please review it carefully since I'm new both to C++ and Qgis core programming and this is my first attemp to

contribute to the project. I tried to follow the qgis coding conventions, but I might have forget something.

#10 - 2012-05-25 03:09 AM - Marco Hugentobler

- Pull Request or Patch supplied changed from No to Yes

#11 - 2012-05-25 10:25 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"45474ac7dcc6596cfcb8d6ecb31261e2169c15c7".

Files

maptips.patch 1.21 KB 2012-05-15 Victor Axbom
